function getElementsByClassName(oElm, strTagName, strClassName){
    var arrElements = (strTagName == "*" && document.all)? document.all :
    oElm.getElementsByTagName(strTagName);
    var arrReturnElements = new Array();
    strClassName = strClassName.replace(/\-/g, "\-");
    var oRegExp = new RegExp("(^|\s)" + strClassName + "(\s|$)");
    var oElement;
    for(var i=0; i<arrElements.length; i++){
        oElement = arrElements[i];
        if(oRegExp.test(oElement.className)){
            arrReturnElements.push(oElement);
        }
    }
    return (arrReturnElements)
}
function setDisplay(elems, what) {
  for (var e = 0; e < elems.length; e++) {
    elems[e].style.display = what;
  }
}
function setTriangle(elems, what) {
  for (var e = 0; e < elems.length; e++) {
    elems[e].innerHTML = what;
  }
}
function showAll() {
  setDisplay(getElementsByClassName(document, 'ul', 'expander'), 'block');
  setTriangle(getElementsByClassName(document, 'span', 'triangle'), String.fromCharCode(0x25bc));
}
function hideAll() {
  setDisplay(getElementsByClassName(document, 'ul', 'expander'), 'none');
  setTriangle(getElementsByClassName(document, 'span', 'triangle'), String.fromCharCode(0x25b6));
}
function toggleDisplay() {
  for (var i = 0; i < arguments.length; i++) {
    var e = document.getElementById(arguments[i]);
    if (e) {
      e.style.display = (e.style.display == 'none') ? 'block' : 'none';
    }
  }
  return false;
}
function varToggle(link, id) {
  toggleDisplay('s' + id);
  var s = link.getElementsByTagName('span')[0];
  var uarr = String.fromCharCode(0x25b6);
  var darr = String.fromCharCode(0x25bc);
  s.innerHTML = (s.innerHTML == uarr) ? darr : uarr;
  return false;
}
